CircuitBreaker.Status (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neo4j.kernel
Enum CircuitBreaker.Status

    java.lang.Object
      java.lang.Enum<CircuitBreaker.Status>
          org.neo4j.kernel.CircuitBreaker.Status

All Implemented Interfaces:
  Serializable, Comparable<CircuitBreaker.Status>

Enclosing class:
  CircuitBreaker

    public static enum CircuitBreaker.Status

extends Enum<CircuitBreaker.Status>

Enum Constant Summary
`off`
`on`

Method Summary
`static CircuitBreaker.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CircuitBreaker.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### off

    public static final CircuitBreaker.Status off

### on

    public static final CircuitBreaker.Status on

Method Detail

### values

    public static CircuitBreaker.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CircuitBreaker.Status c : CircuitBreaker.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CircuitBreaker.Status valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.